namespace FlatRender.IdentitySvc.Models.Requests;

public record UpdateUserRequest(
    string? FullName,
    string? Slogan,
    string? AboutMe,
    string? CompanyName,
    string? WebsiteName,
    DateOnly? BirthDate,
    string? Gender,
    bool? EmailTellMe,
    bool? SmsTellMe,
    bool? PushTellMe,
    bool? TelegramTellMe,
    string? CountryCode = null,
    string? NationalCode = null,
    string? MethodOfIntroduction = null
);

public record SetAvatarRequest(Guid? AvatarId, string? AvatarUrl);

public record BanUserRequest(string Reason, DateTime? UnblockDate);
